package Catalyst::Plugin::Session::IsSessionRestored;
{
  $Catalyst::Plugin::Session::IsSessionRestored::VERSION = '0.01';
}

use Moose::Role;

has is_session_restored => ( is => "rw", isa => "Bool", default => 0 );

around _load_session => sub {
    my $orig = shift;
    my $c = shift;

    my $_tried_loading_session_data = $c->_tried_loading_session_data;

    my $ret = $c->$orig(@_);

    if ( !$_tried_loading_session_data and $ret ) {
        $c->is_session_restored(1);
    }

    $ret;
};

1;

__END__

=encoding utf-8

=head1 NAME

Catalyst::Plugin::Session::IsSessionRestored - Catalyst::Plugin::Session::IsSessionRestored

=cut
